Enum Class SmartHandsVisitDuration
java.lang.Object
java.lang.Enum<SmartHandsVisitDuration>
com.eqixiac.equinix.customerportal.enums.SmartHandsVisitDuration
- All Implemented Interfaces:
APIParam, Serializable, Comparable<SmartHandsVisitDuration>, Constable
Duration of the visit for a smart hands cage-escort order (
durationVisit in the smart
hands v1 spec). The wire values are human-readable strings, so they cannot be Java
identifiers; the actual transmitted value is supplied via getValue().-
Nested Class Summary
Nested classes/interfaces inherited from class Enum
Enum.EnumDesc<E> -
Enum Constant Summary
Enum ConstantsEnum ConstantDescription -
Method Summary
Modifier and TypeMethodDescriptionstatic SmartHandsVisitDurationfromString(String value) getValue()toString()static SmartHandsVisitDurationReturns the enum constant of this class with the specified name.static SmartHandsVisitDuration[]values()Returns an array containing the constants of this enum class, in the order they are declared.Methods inherited from class Enum
clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOfMethods inherited from interface APIParam
paramValueModifier and TypeMethodDescriptiondefault StringThe value exactly as it must appear on the wire in a query or path parameter.
-
Enum Constant Details
-
THIRTY_MINUTES
-
SIXTY_MINUTES
-
NINETY_MINUTES
-
TWO_HOURS
-
TWO_HOURS_THIRTY_MINUTES
-
THREE_HOURS
-
THREE_HOURS_THIRTY_MINUTES
-
FOUR_HOURS
-
-
Method Details
-
values
Returns an array containing the constants of this enum class, in the order they are declared.- Returns:
- an array containing the constants of this enum class, in the order they are declared
-
valueOf
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)- Parameters:
name- the name of the enum constant to be returned.- Returns:
- the enum constant with the specified name
- Throws:
IllegalArgumentException- if this enum class has no constant with the specified nameNullPointerException- if the argument is null
-
getValue
-
fromString
-
toString
- Overrides:
toStringin classEnum<SmartHandsVisitDuration>
-